%define name berry-mkimage
%define version 0.01
%define release b1

Name:		%{name}
Summary:	Create berry.img for changed data
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

Requires:	Xdialog

BuildArchitectures: noarch


%description
Create a virtual harddisk image for changed data.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/opt/berry
install -m 755 berry-mkimage %{buildroot}/opt/berry/berry-mkimage
mkdir -p %{buildroot}/usr/share/applications/Berry
install -m 644 *.desktop %{buildroot}/usr/share/applications/Berry


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/berry-mkimage
/usr/share/applications/Berry/berry-mkimage.desktop


##
## change log
##

%changelog
* Tue May 10 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
